﻿@using BeamAndGo.Member.Admin.Web
@{
    var member = Context.Items[ItemKey.Member.Profile] as BeamAndGo.Member.Member;
    var route = (Context.Request.Path.Value).ToLower();

    var memberInitials = string.Empty;
    if (!string.IsNullOrEmpty(member.FirstName)) memberInitials += member.FirstName.Substring(0, 1);
    if (!string.IsNullOrEmpty(member.LastName)) memberInitials += member.LastName.Substring(0, 1);
}

<div uk-sticky>
    <nav class="uk-navbar-container" uk-navbar>
        <div class="uk-navbar-left">
            <ul class="uk-navbar-nav">
                <li><a href="#sidemenu" uk-toggle><span uk-icon="icon: menu"></span></a></li>
            </ul>
            <a class="uk-navbar-item uk-logo uk-visible@s" asp-page="/Index"><img src="@Context.Items["StaticAssetsUrl"]/img/bng-default-logo-white-001-242x64.png" style="height: 32px"></a>
        </div>
        <div class="uk-navbar-center uk-hidden@s">
            <a class="uk-navbar-item uk-logo" asp-page="/Index"><img src="@Context.Items["StaticAssetsUrl"]/img/bng-default-logo-white-001-242x64.png" style="height: 32px"></a>
        </div>
        <div class="uk-navbar-right">
            <ul class="uk-navbar-nav">
                @if (!route.Contains("/profile"))
                {
                    <li class="uk-margin-small-right">
                        <a class="uk-padding-remove">
                            <span class="uk-margin-small-right" uk-icon="icon: user"></span>
                            <span class="uk-visible@s">@member.FirstName @member.LastName</span>
                            <span class="uk-hidden@s">@memberInitials</span>
                            <span class="uk-margin-small-left" uk-icon="icon: chevron-down"></span>
                        </a>
                        <div uk-dropdown="mode: click; boundary: .boundary" class="uk-padding-small">
                            <div class="bng-modal uk-text-center">
                                <a class="uk-button uk-button-primary" href="#modal-header-logout" uk-toggle>Logout</a>
                            </div>
                        </div>
                    </li>
                }
            </ul>
        </div>
    </nav>
</div>
<div id="modal-header-logout" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog uk-modal-body uk-margin-auto-vertical">
        <p>Are you sure you want to logout?</p>
        <p class="uk-text-right">
            <a class="uk-button uk-button-primary" href="/logout">Yes</a>
            <button class="uk-button uk-button-default uk-modal-close" type="button">No</button>
        </p>
    </div>
</div>